#!/bin/bash

# Detailed help script for Knowledge Graph MCP service

echo "=== KnowledgeGraph MCP Server - Task Runner ==="
echo ""
echo "Development Tasks:"
echo "  install          - Install dependencies"
echo "  build            - Build TypeScript to JavaScript"
echo "  watch            - Watch and rebuild on changes"
echo "  dev              - Start development server"
echo ""
echo "Testing Tasks:"
echo "  test             - Run all tests"
echo "  test:watch       - Run tests in watch mode"
echo "  test:coverage    - Run tests with coverage"
echo "  test:performance - Run performance tests"
echo ""
echo "Database Tasks:"
echo "  db:setup         - Setup PostgreSQL database"
echo "  db:reset         - Reset database"
echo "  db:migrate       - Run migrations"
echo ""
echo "Docker Tasks:"
echo "  docker:build     - Build Docker image"
echo "  docker:run       - Run in Docker container"
echo "  docker:test      - Run tests in Docker"
echo ""
echo "Environment:"
echo "  KNOWLEDGEGRAPH_STORAGE_TYPE=${KNOWLEDGEGRAPH_STORAGE_TYPE:-postgresql}"
echo "  KNOWLEDGEGRAPH_CONNECTION_STRING=${KNOWLEDGEGRAPH_CONNECTION_STRING:-postgresql://postgres:1@localhost:5432/knowledgegraph}"
